Mailinglist Archive: opensuse-ja (33 mails)

< Previous Next >
Re: [opensuse-ja] Leap 15.1 に関して(Java)
野宮です.

In the Message;

Subject : Re: [opensuse-ja] Leap 15.1 に関して(Java)
Message-ID : <20191008130602.GB46549@xxxxxxxxxxxxxxx>
Date & Time: Tue, 8 Oct 2019 22:06:02 +0900

[R] == User Ribbon <opensuse@xxxxxxxxxxxxxxx> has written:

R> On Mon, Oct 07, 2019 at 11:18:45PM +0900, 野宮 賢 / NOMIYA Masaru wrote:

MN>>>> このJAVA周りの変更は、どのようなものなのでしょうか?

R>>>> ここで言うJavaって、Oracle提供のJavaをさしているでしょうか?
R>>
MN>>> スミマセン、舌足らず、でした.
R>>
R>> ここで言う JAVA は、OPENJDK のものです.
R>>
R>> 同じ OPENJDK JAVA でも、42.3 と 15.1 では随分挙動が違うと感じています.
R>> つまり、15.1 では、当たり前のように
R>>
R>> libjawt.so => not found
R>>
R>> といったことになります.

R> openjdk 1.8 は openSUSE 15.1 にもあるのですが、
R> https://software.opensuse.org/package/java-1_8_0-openjdk
R> これではだめでしょうか?

はい、駄目です.

Leap 42.3 では、java-1_8_0、java-11 の何れでもコンパイル出来たのですが、
Leap 15.1 では、java-11 でのみ、コンパイル可能です.

Leap 15.0 では、java-10 でコンパイル可能のようです.

それで、Leap 15.0 で java 環境の根本的な変更が加えられたと考え、お訊き
した次第です.

ネットワーク環境も、ifconfig が無くなるなど、根本的な変更が施され、そ
れで pia-vpn が使えなくなったと考えています.確かに、古いネットワーク
環境を構成していた ifconfig 等は、改めてインストール出来ますが、環境に
変化はありません.

---
┏━━┓彡 野宮 賢 mail-to: nomiya @ galaxy.dti.ne.jp
┃\/彡
┗━━┛ 「eメールや携帯電話に縛られた社会は、自分自身と向き合ったり、
空想にふけったりする自由を奪う。」
-- M. Crichton --
--
To unsubscribe, e-mail: opensuse-ja+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-ja+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups